PrettyDep Struct Reference

`#include <apt-pkg/prettyprinters.h>`

Collaboration diagram for PrettyDep:
[legend]

## Public Member Functions

| PrettyDep (pkgDepCache *const depcache, pkgCache::DepIterator const &dep) APT_NONNULL(2)

## Public Attributes

pkgDepCache *const | DepCache
pkgCache::DepIterator const | Dep

## Detailed Description

helper to format DepIterator for easier printing in debug messages.

The actual text generated is subject to change without prior notice and should NOT be used as part of a general user interface.

The documentation for this struct was generated from the following file:

- apt-pkg/prettyprinters.h